function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"3",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
			init_mini(1);
	create_mini(8128);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"3",100,"messageinfo")
		end;	
	   BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("photolab",4,0);
		--Emitters(true);
		DarkScreen(false);
		if flags.minicomplete2 then
		    StopEmiter("Book")
			flags.minitext3=true;
			speciale_action(2,8,true);
			Set_Cursor(8,2);
			Set_Cursor(23,3);

		return; end;
		-- loadresource("data\\2\\1\\0008.png","a0103",103);
		-- addactivobjecttogame(103,"a0103",0,2000,"","");
		-- AddElement("gr",103);
		-- MoveObjectToTree(103);
	return; end;
	
	if sender==10 then
		flags.minicomplete2=true;
		StartTimer(2100,2)
		BlockCursor(true);
		playeffect("miniC");
	return; end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==36 then
	if id==2100 then
	   BlockCursor(false);
	   clear_satelite_leaf("photolab");
	return;end;   
	return;end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then
		if id==6000 then
			CreateWindow(200,200,"3",100,"messageinfo") 
		return;end;
		
		if id==5000 and skipping then
		playeffect("skip");
			if not flags.minicomplete2 then
				finish_mini_game(true);
				for i=1007,1011,1 do
					if not parts[i] then
						temp=i-5;
						parts[i]=true;
						setcolor(i,0.3,0.3,0.3,1);
						setcolor(temp,1,1,1,1);
					end;	
				end;				
			return;end;	
		return;end;		
		
		if id==1001 then
			playeffect("close");
			finish_mini_game(false);
			clear_satelite_leaf("photolab");
			DeleteResource("bm1_btn" );
			DeleteResource("bm1_0003");
			DeleteResource("bm1_0004");
			DeleteResource("bm1_0005");
			DeleteResource("bm1_0006");
			DeleteResource("bm1_0007");
			DeleteResource("bm1_0008");
			DeleteResource("bm1_0009");
			DeleteResource("bm1_0010");
			DeleteResource("bm1_0011");
			DeleteResource("bm1_0012");
			DeleteResource("bm1_0013");
			DeleteResource("bm1_0014");
			DeleteResource("bm1_0015");
			DeleteResource("bm1_0016");
			DeleteResource("bm1_0017");
			DeleteResource("bm1_0018");
			DeleteResource("bm1_0019");
			DeleteResource("bm1_0020");
			DeleteResource("bm1_0021");
			DeleteResource("bm1_0022");
			DeleteResource("bm1_0023");
			DeleteResource("bm1_0024");
			DeleteResource("bm1_0025");		
		return;end;        
		
		if id>=1007 and id <=1011 then
			if not parts[id] then
				playeffect("pclick");
				parts[id]=true;
				temp=id-5;
				setcolor(id,0.3,0.3,0.3,1);
				setcolor(temp,1,1,1,1);
				book_pairs=book_pairs+1;
				  if book_pairs==5 then 
					finish_mini_game(true);
				  return;end;	
			return;end;	  
		return;end;
	return;end;
			
end;
function mini_delete ()

end;